function $(id) {
    return document.getElementById(id);
}
window.onload = function () {
  $('gomb').onclick = ping;
}
/*
//szinkron
function ping() { 
  var xhr = new XMLHttpRequest();
  xhr.open('GET', 'ping.php', false);
  xhr.send(null);
  $('output').innerHTML = xhr.responseText;
}
*/
/*
//aszinkron global
//mi van, ha tobb keres is van? Ujrahasznositas? eleve ne szemeteljuk a glob teret.
var xhr;
function ping() { 
  xhr = new XMLHttpRequest();
  xhr.open('GET', 'ping.php', true);
  xhr.onreadystatechange = pingKezelo;
  xhr.send(null);
}
function pingKezelo() {
  if (xhr.readyState == 4 && xhr.status == 200) {
    $('output').innerHTML = xhr.responseText;
  }
}
*/
/*
//aszinkron, xhr paraméterként
function ping() { 
  var xhr = new XMLHttpRequest();
  xhr.open('GET', 'ping.php', true);
  xhr.onreadystatechange = function () {
    pingKezelo(xhr);
  }
  xhr.send(null);
}
function pingKezelo(xhr) {
  if (xhr.readyState == 4 && xhr.status == 200) {
    $('output').innerHTML = xhr.responseText;
  }
}
*/

/*
//aszinkron, xhr paraméterként
function ping() { 
  var xhr = new XMLHttpRequest();
  xhr.open('GET', 'ping.php', true);
  xhr.onreadystatechange = function () {
    if (xhr.readyState == 4 && xhr.status == 200) {
      pingKezelo(xhr);
    }
  }
  xhr.send(null);
}
function pingKezelo(xhr) {
  $('output').innerHTML = xhr.responseText;
}
*/
/*
//GET parameter
function ping() { 
  var xhr = new XMLHttpRequest();
  xhr.open('GET', 'ping.php?alma=piros', true);
  xhr.onreadystatechange = function () {
    if (xhr.readyState == 4 && xhr.status == 200) {
      pingKezelo(xhr);
    }
  }
  xhr.send(null);
}
function pingKezelo(xhr) {
  $('output').innerHTML = xhr.responseText;
}
*/
/*
//POST parameter
function ping() { 
  var xhr = new XMLHttpRequest();
  xhr.open('POST', 'ping.php?alma=piros', true);
  xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
  xhr.onreadystatechange = function () {
    if (xhr.readyState == 4 && xhr.status == 200) {
      pingKezelo(xhr);
    }
  }
  xhr.send('korte=sarga');
}
function pingKezelo(xhr) {
  $('output').innerHTML = xhr.responseText;
}
*/
/*
//XHR obj kerese
function getXHR() {
  var xhr = null;
  try { xhr = new XMLHttpRequest(); } catch(e) {
  try { xhr = new ActiveXObject("Msxml2.XMLHTTP"); } catch(e) {
  try { xhr = new ActiveXObject("Microsoft.XMLHTTP"); } catch(e) {
        xhr = null;
  }}}
  return xhr;
}
function ping() { 
  var xhr = getXHR();
  xhr.open('POST', 'ping.php?alma=piros', true);
  xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
  xhr.onreadystatechange = function () {
    if (xhr.readyState == 4 && xhr.status == 200) {
      pingKezelo(xhr);
    }
  }
  xhr.send('korte=sarga');
}
function pingKezelo(xhr) {
  $('output').innerHTML = xhr.responseText;
}
*/
/*
//Hibakezeles
function getXHR() {
  var xhr = null;
  try { xhr = new XMLHttpRequest(); } catch(e) {
  try { xhr = new ActiveXObject("Msxml2.XMLHTTP"); } catch(e) {
  try { xhr = new ActiveXObject("Microsoft.XMLHTTP"); } catch(e) {
        xhr = null;
  }}}
  return xhr;
}
function ping() { 
  var xhr = getXHR();
  xhr.open('POST', 'ping.php?alma=piros', true);
  xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
  xhr.onreadystatechange = function () {
    if (xhr.readyState == 4) {
      if (xhr.status == 200) {
        pingKezelo(xhr);
      } else {
        console.log('Hiba');
      }
    }
  }
  xhr.send('korte=sarga');
}
function pingKezelo(xhr) {
  $('output').innerHTML = xhr.responseText;
}
*/

//Altalanositas
function getXHR() {
  var xhr = null;
  try { xhr = new XMLHttpRequest(); } catch(e) {
  try { xhr = new ActiveXObject("Msxml2.XMLHTTP"); } catch(e) {
  try { xhr = new ActiveXObject("Microsoft.XMLHTTP"); } catch(e) {
        xhr = null;
  }}}
  return xhr;
}
function ajax(opts) { 
  var method    = opts.method || 'GET',
      url       = opts.url || '',
      getdata   = opts.getdata || '',
      postdata  = opts.postdata || '',
      success   = opts.success || function(){},
      error     = opts.error || function(){};

  method = method.toUpperCase();
  url = url+'?'+getdata;
  var xhr = getXHR();
  xhr.open(method, url, true);
  if (method === 'POST') {
    xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
  }
  xhr.addEventListener('readystatechange', function () {
    if (xhr.readyState == 4) {
      if (xhr.status == 200) {
        success(xhr, xhr.responseText);
      } else {
        error(xhr);
      }
    }
  }, false);
  xhr.send(method == 'POST' ? postdata : null);
  return xhr;
}
/*
function ping() {
  ajax({
    method:   'post',
    url:      'ping.php',
    getdata:  'alma=piros',
    postdata: 'korte=sarga',
    success:  pingKezelo
  });
}
function pingKezelo(xhr, text) {
  $('output').innerHTML = text;
}
*/
function ping() {
  ajax({
    method:   'post',
    url:      'ping.php',
    getdata:  'alma=piros',
    postdata: 'korte=sarga',
    success:  function (xhr, text) {
      $('output').innerHTML = text;
    }
  });
}



